<div class="d-flex mb-3">
  <a href="">
  <img src="https://mdbcdn.b-cdn.net/img/new/avatars/8.webp" class="border rounded-circle me-2" alt="Avatar" style="height: 40px">
  </a>
  <div class="comments-wrapper">
     <div class="bg-light rounded-3 px-3 py-1">
        <a href="" class="text-dark mb-0">
        <strong>Imran khan</strong>
        </a>
        <%# <a href="" class="text-muted d-block"> %>
        <small class="text-muted d-block"><%= comment.content %></small>
        <%# </a> %>
     </div>
      <!-- <a href="javascript:void(0)" class="text-muted small ms-3 me-2"><strong>Like</strong></a> -->
      <div id="comment-<%= comment.id %>-like-dislike-card">
        <%= render partial: 'likes/comment_like_dislike', locals: {comment: comment} %>
        <!-- <a href="javascript:void(0)" class="text-muted small me-2 reply-comment"><strong>Reply</strong></a> -->
      </div>

     <!-- <a href="javascript:void(0)" class="text-muted small me-2 reply-comment"><strong>Reply</strong></a> -->

     <div id="comment-<%= comment.id %>-replies">
        <% if comment.replies.any? %>
          <% comment.replies.each do |reply| %> 
            <%= render partial: 'comments/reply', locals: { reply: reply } %>
          <% end %>
        <% end %>
     </div> 
      
      <div class="d-flex mb-3 mt-3 d-none reply-form">
        <a href="">
          <img src="https://mdbcdn.b-cdn.net/img/new/avatars/18.webp" class="border rounded-circle me-2" alt="Avatar" style="height: 40px">
        </a>
        <div class="form-outline w-100">
          <%= form_with(model: [post, Comment.new]) do |f| %>
            <%= f.hidden_field :parent_id, value: comment.id %>
            <%= f.hidden_field :commentable_type, value: 'Post' %>
            <%= f.hidden_field :commentable_id, value: post.id %>
            <div class="form-group">
              <%= f.text_area :content, class: 'form-control reply-comment-text', placeholder: 'Write a reply...', value: '' %>
            </div>
            <%= f.submit 'Reply', class: 'btn btn-primary btn-sm mt-2' %>
          <% end %> 
        </div>  
      </div>  
  </div>
</div>

